use bevy::prelude::*;
use bevy_rapier2d::prelude::*;

#[derive(Component, Default)]
pub struct FilterColor(pub Color);

#[derive(Component)]
pub enum PassThroughFilter {
	Absorbing,
}

#[derive(Bundle)]
pub struct AbsorbingFilter {
	pub color: FilterColor,
	#[bundle]
	pub mesh: ColorMesh2dBundle,
	pub collider: Collider,
	pub sensor: Sensor,
	pub filter_type: PassThroughFilter,
}
